Bug 659611 - lpfc: Fixed crashes for BUG_ONs hit in the lpfc_abort_handler [rhel-6.0.z]
Summary: lpfc: Fixed crashes for BUG_ONs hit in the lpfc_abort_handler [rhel-6.0.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.1
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: rc
: ---
Assignee: Frantisek Hrbata
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 645882
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-03 07:30 UTC by RHEL Product and Program Management
Modified: 2011-02-08 15:20 UTC (History)
13 users (show)

Fixed In Version: kernel-2.6.32-71.12.1.el6
Doc Type: Enhancement
Doc Text:
Updated partner qualification injecting target faults uncovered a flaw where the Emulex lpfc driver would incorrectly panic due to a null pnode dereference. This update addresses the issue and was tested successfully under the same test conditions without the panic occurring.
Clone Of:
Environment:
Last Closed: 2011-01-11 19:48:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0007 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-01-11 19:44:55 UTC

Description RHEL Product and Program Management 2010-12-03 07:30:19 UTC
This bug has been copied from bug #645882 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 3 Frantisek Hrbata 2010-12-08 05:26:34 UTC
in 2.6.32-71.12.1.el6

Comment 6 Rob Evers 2011-01-04 12:19:21 UTC
(In reply to comment #5)
> Hi Andrius, could you please ask the partner to test this to ensure the
> quality, the kernel are available:
> 
> http://people.redhat.com/kzhang/kernel-firmware-2.6.32-71.13.1.el6.noarch.rpm
> http://people.redhat.com/kzhang/kernel-2.6.32-71.13.1.el6.i686.rpm
> http://people.redhat.com/kzhang/kernel-2.6.32-71.13.1.el6.x86_64.rpm
> http://people.redhat.com/kzhang/kernel-2.6.32-71.13.1.el6.ppc64.rpm
> http://people.redhat.com/kzhang/kernel-2.6.32-71.13.1.el6.s390x.rpm

Andrius is no longer performing this role at Red Hat.

Can netapp help out here?

Thanks, Rob

Comment 9 errata-xmlrpc 2011-01-11 19:48:05 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0007.html

Comment 10 Martin Prpič 2011-01-12 12:55:31 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Updated partner qualification injecting target faults uncovered a flaw where the Emulex lpfc driver would incorrectly panic due to a null pnode dereference. This update addresses the issue and was tested successfully under the same test conditions without the panic occurring.


Note You need to log in before you can comment on or make changes to this bug.